%define name roundcube-skin-classic
%define version 1.6.0
%define release 1
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/johndoh/roundcube-skin-classic
Source: roundcube-skin-classic-%{version}.tar.gz
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

This skin package contains the current development of the Classic 
theme for the Roundcube Webmail software. It can be used, modified 
and redistributed according to the terms described in the 
LICENSE section.

%changelog
* Mon Sep 02 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.6.0-1.sme
- initial release for SME 11

%prep

%setup -q -n classic-%{version}

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/skins/classic/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/skins/classic/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf classic-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
